<form nz-form [formGroup]='form' style='margin-bottom: 8px'>
  <div nz-row [nzGutter]='[30,30]'>
    <!--    Form tìm kiếm -->

    <!--Loại danh sách-->
    <div nz-col nzXs='12' nzLg='6'>
      <mb-select [mbDataSelects]='listType'
                 formControlName='type'
                 [mbKeyValueStringType]="true"
                 mbPlaceholder="{{'partnership.pns-contract.searchForm.type' | translate }}"
                 mbLabelText="{{'partnership.pns-contract.searchForm.type' | translate}}"></mb-select>
    </div>

    <!--Đơn vị-->
    <div nz-col nzXs='12' nzLg='6'>
      <org-data-picker
        mbLabelText="{{'partnership.pns-contract.searchForm.organization' | translate}}"
        formControlName='orgId'
        [functionCode]="functionCode"
        [scope]="scope"
      >
      </org-data-picker>
    </div>

    <!--Chức danh-->
    <div nz-col nzXs='12' nzLg='6'>
      <mb-select-check-able
        [mbKeyValueStringType]="true"
        [mbShowAction]="false"
        mbPlaceholder="{{'partnership.pns-contract.searchForm.positionName' | translate}}"
        [mbDataSelects]='listPosition'
        (mbEventEmit)="setFormValue($event, 'listPositionId')"
        mbLabelText="{{'partnership.pns-contract.searchForm.positionName' | translate}}"
        formControlName='listPositionId'></mb-select-check-able>
    </div>

    <!--Loại hợp đồng-->
    <div nz-col nzXs='12' nzLg='6'>
      <mb-select-check-able formControlName='listContractTypeId'
                            [mbKeyValueStringType]="true"
                            [mbShowAction]="false"
                            [mbDataSelects]='listContractType'
                            (mbEventEmit)="setFormValue($event, 'listContractTypeId')"
                            mbPlaceholder="{{'partnership.pns-contract.searchForm.contractType' | translate }}"
                            mbLabelText="{{'partnership.pns-contract.searchForm.contractType' | translate}}"></mb-select-check-able>
    </div>

    <!--Mã nhân viên-->
    <div nz-col nzXs='12' nzLg='6'>
      <mb-input-text formControlName='employeeCode' [mbMaxLength]='200'
                     mbPlaceholderText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"
                     mbLabelText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"></mb-input-text>
    </div>

    <!--Tên nhân viên-->
    <div nz-col nzXs='12' nzLg='6'>
      <mb-input-text formControlName='fullName' [mbMaxLength]='200'
                     mbPlaceholderText="{{'partnership.pns-contract.searchForm.empName' | translate}}"
                     mbLabelText="{{'partnership.pns-contract.searchForm.empName' | translate}}"></mb-input-text>
    </div>


    <!--Ngày đăng ký từ-->
    <div nz-col nzXs='12' nzLg='6'>
      <mb-date-picker
        formControlName="fromDate"
        mbLabelText="{{'partnership.pns-contract.searchForm.fromDate' | translate}}"
        mbPlaceholderText="{{'partnership.pns-contract.searchForm.fromDate' | translate}}"
      ></mb-date-picker>
    </div>

    <!--Ngày đăng ký đến-->
    <div nz-col nzXs='12' nzLg='6'>
      <mb-date-picker
        formControlName="toDate"
        mbLabelText="{{'partnership.pns-contract.searchForm.toDate' | translate}}"
        mbPlaceholderText="{{'partnership.pns-contract.searchForm.toDate' | translate}}"
      ></mb-date-picker>
    </div>

    <!--Trạng thái ký-->
    <div nz-col nzXs='12' nzLg='6'>
      <mb-select-check-able formControlName='listStatus'
                            [mbKeyValueStringType]="true"
                            [mbDataSelects]='listStatusSign'
                            [mbShowAction]="false"
                            (mbEventEmit)="setFormValue($event, 'listStatus')"
                            mbPlaceholder="{{'partnership.pns-contract.searchForm.status' | translate }}"
                            mbLabelText="{{'partnership.pns-contract.searchForm.status' | translate}}"></mb-select-check-able>
    </div>

    <!--Người ký-->
    <div nz-col nzXs="12" nzLg='6' class="select__employee">
      <employee-data-picker
        [mbCanText]="true"
        formControlName="signer"
        mbLabelText="{{'partnership.pns-contract.label.signerName' | translate}}">
      </employee-data-picker>
    </div>

    <!--Chức danh người ký-->
    <div nz-col nzXs='12' nzLg='6'>
      <mb-input-text formControlName='signerPosition'
                     mbPlaceholderText="{{'partnership.pns-contract.label.signerPosition' | translate}}"
                     mbLabelText="{{'partnership.pns-contract.label.signerPosition' | translate}}"></mb-input-text>
    </div>

    <!--    End Form tìm kiếm-->
  </div>
  <div nz-row [nzGutter]='[30,30]'>
    <div nz-col nzXs='24' nzLg='24'>
      <ng-content select='.btn'></ng-content>
    </div>
  </div>
</form>
